betaq-widget
============

![betaq-widget](http://s3.amazonaws.com/betaq/betaq-widget.png "betaq-widget")
![betaq-widget-back](http://s3.amazonaws.com/betaq/betaq-widget-back.png "betaq-widget-back")

Give your site a BetaQ waiting list with this widget! Contributions welcome.

Dependencies: jQuery 1.9+.

## Step 1: Sign up

Go to http://www.betaq.co and register for an account.

You'll be given an Api Key for use in Step 2.

## Step 2: Integrate widget

Drop this code into your `<head>`

    <script src="http://www.betaq.co/lib/betaq-widget.js" type="text/javascript"></script>
    <link href="http://www.betaq.co/lib/betaq-widget.css" rel="stylesheet" type="text/css"/>

    <script type="text/javascript">
        jQuery(function(){
            var apiKey = 'your-api-key';  
            
            $('#waitingListContainer').betaQ({
                appId: apiKey,
                facebookShareUrl: 'http://betaq.co',
                twitterShareUrl: 'http://betaq.co',
                whenUserWelcomed: function(){
                    // user has been given access, you probably want 
                    // to hide waitingListContainer and show a registration/login form
                    alert("Welcome! Please register or sign in.");
                }
            });
        });
    </script>

* change the `apiKey`
* change the `facebookShareUrl`
* change the `twitterShareUrl`
* change the `whenUserWelcomed` function to hide the `#waitingListContainer` and to show your signup/login container
* make sure that `#waitingListContainer` is an element on the page